## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           wmenu
Version:        0.2.0
Release:        %autorelease
Summary:        Efficient dynamic menu for Wayland

# Main source: MIT
# protocols/wlr-layer-shell-unstable-v1.xml: HPND-sell-variant
License:        MIT
URL:            https://codeberg.org/adnano/wmenu
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson >= 0.47
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
An efficient dynamic menu for Sway and wlroots based Wayland compositors.


%prep
%autosetup -n %{name} -p1


%build
%meson \
    -Dwerror=false
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-run
%{_mandir}/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Thu May 01 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0 (#2363003)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 29 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.9-1
- Update to 0.1.9
- Update upstream URL to https://codeberg.org/adnano/wmenu

* Sun Jun 02 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8 (#2279124)

* Sat Apr 13 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.7-2
- Apply upstream patch for crash on exit (rhbz#2274702)

* Sat Mar 02 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Sat Jan 27 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.6-1
- Initial import (#2251438)
## END: Generated by rpmautospec
